fs lsmount                 AFS Commands              fs lsmount


NAME

   fs  lsmount -- show  volume  for which directory is a mount

                       point.


                               +
   fs lsmount  -dir <directory>   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                        +
   fs ls  -d <directory>   [-h]

DESCRIPTION

   Outputs the name of the volume(s) for which  each  directory
   is the root directory.  If directory is not a mount point or
   is not in AFS, an error message appears.

   The association between directory  and  a  volume  name  was
   created with the fs mkmount command.

ARGUMENTS

   -dir  names the directory that serves as a mount point for a
         volume.  The last element in  the  pathname  that  the
         issuer  provides must be an actual name, not "dot" (.)
         or "dot dot" (. .), which the fs  command  interpreter
         does not understand in this case.

   -help prints the online help entry for this command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  3.1  in  the  Reference  Manual for more
         details.

OUTPUT

   The output is of the form:

   'directory' is a mount point for volume 'volume name'

   A  hash  sign  (#)  preceding  volume  name  indicates  that
   directory is a regular mount point.

   A  percent  sign  (%)  preceding  volume name indicates that
   directory is a ReadWrite mount point.

   If directory is a cellular mount point, then a cell name and
   colon  precede  volume  name in addition to the hash sign or
   percent sign.



   If directory is not a mount point, the output reads:

   'directory' is not a mount point.

EXAMPLES

   The following shows the mount point for the  home  directory
   of user smith in the Transarc Corporation cell:

       % fs ls /afs/transarc.com/usr/smith
       '/afs/transarc.com/usr/smith' is a mount point for
           volume '#user.smith'

   The  following  shows  both  the regular and ReadWrite mount
   points for the Transarc Corporation cell's root.cell volume.

       % fs ls /afs/transarc.com
       '/afs/transarc.com' is a mount point for volume '#ro

       % fs ls /afs/.transarc.com
       '/afs/.transarc.com' is a mount point for volume
           '%root.cell'

   The following shows  a  cellular  mount  point:  the  Andrew
   cell's   root.cell   volume   as  mounted  in  the  Transarc
   Corporation cell's tree.

       % fs ls /afs/andrew.cmu.edu
       '/afs/andrew.cmu.edu' is a mount point for volume
           '#andrew.cmu.edu:root.cell'

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   fs mkmount fs rmmount
